const { program } = require('commander');

program
  .version('1.0.0')
  .description('A simple example of using Commander.js')
  .option('-n, --name <type>', 'name of the user')
  .option('-a, --age <type>', 'age of the user', parseInt) // Parse age as an integer
  .option('-v, --verbose', 'enable verbose mode');

program.parse(process.argv);

const options = program.opts();

if (options.verbose) console.log('Verbose mode enabled');
if (options.name) console.log(`Hello, ${options.name}!`);
if (options.age) console.log(`You are ${options.age} years old.`);

if (!options.name && !options.age) {
  console.log('No input provided');
}
